petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexEqual

Determine if two DMs have the same topology

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexEqual(DM dmA, DM dmB, PetscBool *equal)

Not Collective Many br

### Input Parameters

| dmA | - A DMPlex object Many br
| dmB | - A DMPlex object Many br

### Output Parameters

equal -PETSC_TRUE if the topologies are identical Many br

Many br

### Notes

We are not solving graph isomorphism, so we do not permutation. Many br

### Keywords

mesh

### See Also

DMPlexGetCone()

Level:intermediate
Location:src/dm/impls/plex/plex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages